Bug 191494 - Review Request: perl-Authen-DigestMD5
Review Request: perl-Authen-DigestMD5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 09:54 EDT by Paul Howarth
Modified: 2011-02-04 13:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 13:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-05-12 09:54:47 EDT
Spec URL: http://www.city-fan.org/~paul/extras/perl-Authen-DigestMD5/perl-Authen-DigestMD5.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Authen-DigestMD5/perl-Authen-DigestMD5-0.04-1.src.rpm
Description:

This module supports DIGEST-MD5 SASL authentication as defined in RFC-2831.

It is an optional dependency of swaks (Bug #179237)
Comment 1 Jason Tibbitts 2006-05-12 12:54:34 EDT
Not much to say.  BTW, once this gets in I'll update swaks to require it.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   f96d3ccc55c4bf551baf59fd8cb51421  Authen-DigestMD5-0.04.tar.gz
   f96d3ccc55c4bf551baf59fd8cb51421  Authen-DigestMD5-0.04.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass (well, the single test passes):
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Paul Howarth 2006-05-12 13:37:21 EDT
Thanks for the review.

Imported into CVS, owners.list updated, and built successfully for FC-4, FC-5,
and development (yes, already!).
Comment 3 Paul Howarth 2011-01-18 03:19:56 EST
Package Change Request
======================
Package Name: perl-Authen-DigestMD5
New Branches: el4 el5 el6
Owners: pghmcfc

This has been requested as a dependency of swaks in EPEL.
Comment 4 Jason Tibbitts 2011-01-18 08:57:50 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-01-18 09:37:46 EST
perl-Authen-DigestMD5-0.04-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Authen-DigestMD5-0.04-10.el5
Comment 6 Fedora Update System 2011-01-18 09:37:52 EST
perl-Authen-DigestMD5-0.04-10.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Authen-DigestMD5-0.04-10.el4
Comment 7 Fedora Update System 2011-01-20 05:07:16 EST
perl-Authen-DigestMD5-0.04-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Authen-DigestMD5-0.04-10.el6
Comment 8 Fedora Update System 2011-02-02 12:02:16 EST
perl-Authen-DigestMD5-0.04-10.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-02-02 12:02:25 EST
perl-Authen-DigestMD5-0.04-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-02-04 13:27:59 EST
perl-Authen-DigestMD5-0.04-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.